import { Subject } from 'rxjs';
import { BeaShellOptions, MenuItem } from '@bea-shell/common/objects';
export declare class BeaShellService {
    onMenuItemClick: Subject<MenuItem>;
    onMenuItemDoubleClick: Subject<MenuItem>;
    onMenuButtonClick: Subject<boolean>;
    onSidebarToggle: Subject<boolean>;
    onOptionsChange: Subject<BeaShellOptions>;
    constructor();
    setOptions(options: BeaShellOptions): void;
    expandSidebar(): void;
    retractSidebar(): void;
}
