import { OnInit } from '@angular/core';
import { BeaShellService } from '@bea-shell/bea-shell.service';
import { MenuItem, SidebarOptions } from '@bea-shell/common/objects';
import { Subject } from 'rxjs';
export declare class SidebarComponent implements OnInit {
    private beaShell;
    options: SidebarOptions;
    expanded: Subject<boolean>;
    withTopbar: boolean;
    selected: MenuItem;
    constructor(beaShell: BeaShellService);
    ngOnInit(): void;
    onMenuButtonClick(expand: any): void;
    close(): void;
}
